import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { HttpClient, HttpHeaders } from '@angular/common/http';
import { environment } from 'src/environments/environment';

let header = new HttpHeaders();
header = header.set('Content-Type', 'application/json; charset=utf-8');
@Injectable({
  providedIn: 'root'
})

export class VlexreportService {
  baseUrl: string = environment.serviceUrl;
  constructor(private httpClient: HttpClient) { }
  GetVlexreportdata(data): Observable<any> {
    return this.httpClient.post( this.baseUrl + 'api/ReportApi/GetVlexreportdata',
        data, { headers: header, observe: 'response' });
}
}
